// -----------------------------------------------------------------------------------
//
// TipTriC.CPP                                                 Ulrich Mller  11.08.04
//                                                             PCS1700        VC++ 6.0
//
// Tips & Trics for programming the fischertechnik Interfaces using class CFishing
//     based on umFish.DLL (includes WinRT for using the parallel port)
// 
// -----------------------------------------------------------------------------------

#include <windows.h>
#include <iostream.h>
#include "Fishing.cpp"

const int mGelb = 1, mRot = 2, cLinks = 1, cEin = 1, cAus = 0;
CFishing ft(false, false, 0);

void BlinkerSchleife() {
	do {
		ft.SetMotor(mGelb, cEin);
		ft.Pause(555);
		ft.SetMotor(mGelb, cAus);
		ft.Pause(444);
	} while(!ft.Finish());
}

void WechselBlinker1() {
	do {
		ft.SetMotor(mRot,  cAus);
		ft.SetMotor(mGelb, cEin);
		ft.Pause(444);
		ft.SetMotor(mGelb, cAus);
		ft.SetMotor(mRot,  cEin);
		ft.Pause(444);
	} while(!ft.Finish());
}

void WechselBlinker2() {
	do {
		ft.SetMotors(0x1);
		ft.Pause(444);
		ft.SetMotors(0x4);
		ft.Pause(444);
	} while(!ft.Finish());
}

void FahrenEnde2() {
	ft.SetMotor(3, cLinks);
	ft.WaitForInput(5);
	ft.SetMotor(3, cAus);
}

void main()
{
	cout << "---- TipTriC started ----" << endl;
	ft.OpenInterface(2);
	cout << "Zum Beenden ESCAPE druecken " << endl;

	FahrenEnde2();

	while(GetAsyncKeyState(VK_ESCAPE) == 0);
	ft.CloseInterface();
}

