// -------------------------------------------------------------------------------------
//
// TipsTriCS.CPP                                                  Ulrich Mller 12.08.04
//                                                                PCS1700       VC++ 6.0
// Tips & Trics for programming the fischertechnik Interfaces with umFish30.DLL
//              direct use of the cs style functions
//
// -------------------------------------------------------------------------------------

#include <windows.h>
#include <iostream.h>
#include "umFish30VC.h"

const int mYellow = 1, mRed = 2, cLeft = 1, cOn = 1, cOff = 0;
int ft;

void BlinkingLoop() {
	do {
		csSetMotor(ft, mYellow, cOn);
		Sleep(444);
		csSetMotor(ft, mYellow, cOff);
		Sleep(333);
	} while(GetAsyncKeyState(VK_ESCAPE) == 0);
}

void AlternateBlinking1() {
	do {
		csSetMotor(ft, mRed,    cOff);
		csSetMotor(ft, mYellow, cOn);
		Sleep(333);
		csSetMotor(ft, mYellow, cOff);
		csSetMotor(ft, mRed,    cOn);
		Sleep(222);
	} while(GetAsyncKeyState(VK_ESCAPE) == 0);
}

void AlternateBlinking2() {
	do {
		csSetMotors(ft, 0x01);
		Sleep(333);
		csSetMotors(ft, 0x04);
		Sleep(222);
	} while(GetAsyncKeyState(VK_ESCAPE) == 0);
}

void DriveToEnd1() {
	csSetMotor(ft, 3, cLeft);
	while(csGetInput(ft, 5) == 0);
	csSetMotor(ft, 3, cOff);
}

void main() {
	cout << "---- TipsTriCS has started ---" << endl;
	ft = csOpenInterface(2, 1, 0, 0);
	cout << "Cancel with Escape Key" << endl;

	DriveToEnd1();

	while(GetAsyncKeyState(VK_ESCAPE) == 0);
	csCloseInterface(ft);
}